#include <vector>
#include <iostream>
#include <list>
#include <algorithm>
using namespace std;
double p, q, r;
bool uslov(int N) {
	int x =ceil( N / p);
	int y =ceil( N / q);
	int z =ceil( N / r);
	if ((x + y + z )<= N)
		return true;
	else
		return false;
}

int main()
{
	
	long long L, R;
	long long count=0;
	cin >> p >> q >> r >> L >> R;
	
	for (long long i = L; i <= R; i++) {
		if (uslov(i)) {
			count++;
		}
	}
	
	
	cout << count;
}